"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "ApiActions", {
  enumerable: true,
  get: function get() {
    return _Actions["default"];
  }
});
exports["default"] = exports.useSelector = exports.context = exports.ApiProvider = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRedux = require("react-redux");

var _Store = _interopRequireDefault(require("./Store"));

var _Actions = _interopRequireDefault(require("./AppApi/Actions"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var ApiProvider = function ApiProvider(prop) {
  return /*#__PURE__*/_react["default"].createElement(_reactRedux.Provider, _extends({
    store: _Store["default"]
  }, prop));
};

exports.ApiProvider = ApiProvider;

var context = /*#__PURE__*/_react["default"].createContext(null);

exports.context = context;
var useSelector = (0, _reactRedux.createSelectorHook)(context);
exports.useSelector = useSelector;
var _default = _Store["default"];
exports["default"] = _default;